Package org.linphone.core

# Enum Class SrtpSuite

java.lang.Object
java.lang.Enum<SrtpSuite>
org.linphone.core.SrtpSuite

All Implemented Interfaces:
  `Serializable`, `Comparable<SrtpSuite>`, `Constable`

public enum SrtpSuite extends Enum<SrtpSuite>
Enum describing type of SRTP encryption suite.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AEADAES128GCM`
`AEADAES256GCM`
`AES192CMHMACSHA132`
`AES192CMHMACSHA180`
`AES256CMHMACSHA132`
`AES256CMHMACSHA180`
`AESCM128HMACSHA132`
`AESCM128HMACSHA180`
`Invalid`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SrtpSuite`
`fromInt(int value)`
`protected static SrtpSuite[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SrtpSuite[] values)`
`static SrtpSuite`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SrtpSuite[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AESCM128HMACSHA180

public static final SrtpSuite AESCM128HMACSHA180

### AESCM128HMACSHA132

public static final SrtpSuite AESCM128HMACSHA132

### AES192CMHMACSHA180

public static final SrtpSuite AES192CMHMACSHA180

### AES192CMHMACSHA132

public static final SrtpSuite AES192CMHMACSHA132

### AES256CMHMACSHA180

public static final SrtpSuite AES256CMHMACSHA180

### AES256CMHMACSHA132

public static final SrtpSuite AES256CMHMACSHA132

### AEADAES128GCM

public static final SrtpSuite AEADAES128GCM

### AEADAES256GCM

public static final SrtpSuite AEADAES256GCM

### Invalid

public static final SrtpSuite Invalid

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SrtpSuite[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SrtpSuite valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SrtpSuite fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SrtpSuite[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SrtpSuite[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()